be.fgov.ehealth.rn.baselegaldata.v1

## Class GenderInfoWithUpdateStatusType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalGenderType
  - - be.fgov.ehealth.rn.baselegaldata.v1.GenderInfoWithUpdateStatusType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class GenderInfoWithUpdateStatusType
      extends AbstractOptionalGenderType
      implements Serializable

  Java class for GenderInfoWithUpdateStatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GenderInfoWithUpdateStatusType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalGenderType">
             <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}UpdateDatagroupStatusType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenderInfoWithUpdateStatusType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStatus()` Gets the value of the status property.
    `void` | `setStatus(String value)` Sets the value of the status property.

    - ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalGenderType

      `getGenderCode, getInceptionDate, setGenderCode, setInceptionDate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenderInfoWithUpdateStatusType

          public GenderInfoWithUpdateStatusType()

  - ### Method Detail

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.